Classes
Protocols
Constants
Functions
Macros
Types
Variables

### Classes

EOAccessArrayFaultHandler
EOAccessFaultHandler
EOAccessGenericFaultHandler
EOAdaptor
EOAdaptorChannel
EOAdaptorContext
EOAdaptorOperation
EOAttribute
EODatabase
EODatabaseChannel
EODatabaseContext
EODatabaseDataSource
EODatabaseOperation
EOEntity
EOEntityClassDescription
EOJoin
EOLoginPanel
EOModel
EOModelGroup
EORelationship
EOSQLExpression
EOSQLExpressionFactory
EOSQLQualifier
EOStoredProcedure

### Protocols

<EOColumnTypes>
<EOPropertyListEncoding>
<EOQualifierSQLGeneration>
(EOAdaptorChannelDelegation)
(EOAdaptorContextDelegation)
(EOAdaptorDelegate)
(EODatabaseContextDelegation)
(EOModelGroupClassDelegation)
(EOModelGroupDelegation)
(EOSchemaSynchronizationDelegates)

### Constants

### Functions

EODatabaseContext_globalIDForObjectWithImpPtr
EODatabaseContext_snapshotForGlobalIDWithImpPtr
GDL2_EOAccessPrivateInit

### Macros

### Types

EOAdaptorOperator
EODatabaseOperator
EODelegateResponse
EOJoinSemantic
EOUpdateStrategy

### Variables

EOAccessFaultObjectNotAvailableException
EOAdaptorContextBeginTransactionNotification
EOAdaptorContextCommitTransactionNotification
EOAdaptorContextRollbackTransactionNotification
EOAdaptorFailureKey
EOAdaptorKey
EOAdaptorOperationsKey
EOAdaptorOptimisticLockingFailure
EOAdministrativeConnectionDictionaryKey
EOAdministrativeConnectionDictionaryNeededNotification
EOAllowsNullKey
EOBindVariableAttributeKey
EOBindVariableColumnKey
EOBindVariableNameKey
EOBindVariablePlaceHolderKey
EOBindVariableValueKey
EOColumnNameKey
EOConnectionDictionaryKey
EOCreateDatabaseKey
EOCreatePrimaryKeySupportKey
EOCreateTablesKey
EOCustomQueryExpressionHintKey
EODatabaseChannelNeededNotification
EODatabaseContextKey
EODatabaseOperationsKey
EODeleteProcedureOperation
EODistantPastTimeInterval
EODropDatabaseKey
EODropPrimaryKeySupportKey
EODropTablesKey
EOEntityLoadedNotification
EOExternalNameKey
EOExternalTypeKey
EOFailedAdaptorOperationKey
EOFailedDatabaseOperationKey
EOFetchAllProcedureOperation
EOFetchWithPrimaryKeyProcedureOperation
EOForeignKeyConstraintsKey
EOGeneralAdaptorException
EOGeneralDatabaseException
EOInsertProcedureOperation
EOModelAddedNotification
EOModelInvalidatedNotification
EOModelKey
EOMoreThanOneException
EONameKey
EONextPrimaryKeyProcedureOperation
EOPrecisionKey
EOPrimaryKeyConstraintsKey
EORelationshipsKey
EOScaleKey
EOSchemaSynchronizationForeignKeyConstraintsKey
EOSchemaSynchronizationPrimaryKeyConstraintsKey
EOSchemaSynchronizationPrimaryKeySupportKey
EOStoredProcedureNameHintKey
EOWidthKey
GDL2_EOAttributeClass
GDL2_EODatabaseContextClass
GDL2_EODatabaseContext__globalIDForObjectIMP
GDL2_EODatabaseContext_snapshotForGlobalIDIMP
GDL2_EOEntityClass
GDL2_EORelationshipClass
eqSel
struct _EOTransactionScope

Up

# EOModel Class

### Authors

Mirko Viviani (`mirko.viviani@gmail.com`)

Date: Generated at 2026-02-03 22:13:20 +0000

Copyright: (C) 2000-2002,2003,2004,2005 Free Software Foundation, Inc.

### Contents -

1. Software documentation for the EOModel class
2. Software documentation for the EOModel(EOModelBeautifier) category
3. Software documentation for the EOModel(EOModelEditing) category
4. Software documentation for the EOModel(EOModelFileAccess) category
5. Software documentation for the EOModel(EOModelHidden) category
6. Software documentation for the EOModel(EOModelPropertyList) category
7. EOModel variables

# Software documentation for the EOModel class

## EOModel : NSObject

> Declared in:
>   EOAccess/EOModel.h

Description forthcoming.

Instance Variables

### Method summary

- -beautifyNames
- -addEntity:
- -addStoredProcedure:
- -externalModelsReferenced
- -loadAllModelObjects
- -referencesToProperty:
- -removeEntity:
- -removeEntityAndReferences:
- -removeStoredProcedure:
- -setAdaptorName:
- -setConnectionDictionary:
- -setModelGroup:
- -setName:
- -setUserInfo:
- +modelWithContentsOfFile:
- -initWithContentsOfFile:
- -writeToFile:
- -_addEntity:
- -_addEntityWithPropertyList:
- -_addFakeEntityWithPropertyList:
- -_childrenForEntityNamed:
- -_classDescriptionNeeded:
- -_entityForClass:
- -_instantiatedEntities
- -_loadFetchSpecificationDictionaryForEntityNamed:
- -_registerChild:forParent:
- -_removeEntity:
- -_removePropertiesReferencingEntity:
- -_removePropertiesReferencingProperty:
- -_resetPrototypeCache
- -_setEntity:forEntityName:className:
- -_setInheritanceLinks:
- -_setPath:
- -isPrototypesEntity:
- -awakeWithPropertyList:
- -encodeIntoPropertyList:
- -encodeTableOfContentsIntoPropertyList:
- -initWithPropertyList:owner:
- -initWithTableOfContentsPropertyList:path:
- +model
- -adaptorClassName
- -adaptorName
- -connectionDictionary
- -docComment
- -entities
- -entityForObject:
- -entityNamed:
- -entityNames
- -modelGroup
- -name
- -path
- -prototypeAttributeNamed:
- -storedProcedureNamed:
- -storedProcedureNames
- -storedProcedures
- -userInfo

### model

+ (EOModel*) model;
Description forthcoming.

### adaptorClassName

- (NSString*) adaptorClassName;
Description forthcoming.

### adaptorName

- (NSString*) adaptorName;
Description forthcoming.

### connectionDictionary

- (NSDictionary*) connectionDictionary;
Accessing the connection dictionary

### docComment

- (NSString*) docComment;
Accessing documentation comments

### entities

- (NSArray*) entities;
Description forthcoming.

### entityForObject:

- (EOEntity*) entityForObject: (id)object;
Getting an object's entity

### entityNamed:

- (EOEntity*) entityNamed: (NSString*)name;
Using entities

### entityNames

- (NSArray*) entityNames;
Description forthcoming.

### modelGroup

- (EOModelGroup*) modelGroup;
Description forthcoming.

### name

- (NSString*) name;
Getting the name

### path

- (NSString*) path;
Getting the filename

### prototypeAttributeNamed:

- (EOAttribute*) prototypeAttributeNamed: (NSString*)attributeName;
Description forthcoming.

### storedProcedureNamed:

- (EOStoredProcedure*) storedProcedureNamed: (NSString*)name;
Description forthcoming.

### storedProcedureNames

- (NSArray*) storedProcedureNames;
Description forthcoming.

### storedProcedures

- (NSArray*) storedProcedures;
Description forthcoming.

### userInfo

- (NSDictionary*) userInfo;
Accessing the user dictionary

## Instance Variables for EOModel Class

### _adaptorClassName

@protected NSString* _adaptorClassName;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _adaptorName

@protected NSString* _adaptorName;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _connectionDictionary

@protected NSDictionary* _connectionDictionary;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _docComment

@protected NSString* _docComment;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _entities

@protected NSArray* _entities;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _entitiesByClass

@protected void* _entitiesByClass;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _entitiesByName

@protected NSMutableDictionary* _entitiesByName;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _group

@protected EOModelGroup* _group;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _internalInfo

@protected NSDictionary* _internalInfo;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _name

@protected NSString* _name;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _path

@protected NSString* _path;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _storedProcedures

@protected NSMutableArray* _storedProcedures;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _subEntitiesCache

@protected NSMutableDictionary* _subEntitiesCache;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _userInfo

@protected NSDictionary* _userInfo;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _version

@protected float _version;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

# Software documentation for the EOModel(EOModelBeautifier) category

## EOModel(EOModelBeautifier)

> Declared in:
>   EOAccess/EOModel.h

Description forthcoming.

### Method summary

- -beautifyNames

### beautifyNames

- (void) beautifyNames;
Description forthcoming.

# Software documentation for the EOModel(EOModelEditing) category

## EOModel(EOModelEditing)

> Declared in:
>   EOAccess/EOModel.h

Description forthcoming.

### Method summary

- -addEntity:
- -addStoredProcedure:
- -externalModelsReferenced
- -loadAllModelObjects
- -referencesToProperty:
- -removeEntity:
- -removeEntityAndReferences:
- -removeStoredProcedure:
- -setAdaptorName:
- -setConnectionDictionary:
- -setModelGroup:
- -setName:
- -setUserInfo:

### addEntity:

- (void) addEntity: (EOEntity*)entity;
Description forthcoming.

### addStoredProcedure:

- (void) addStoredProcedure: (EOStoredProcedure*)storedProcedure;
Description forthcoming.

### externalModelsReferenced

- (NSArray*) externalModelsReferenced;
Description forthcoming.

### loadAllModelObjects

- (void) loadAllModelObjects;
Description forthcoming.

### referencesToProperty:

- (NSArray*) referencesToProperty: (id)property;
Returns an array of flattened attributes and relationships in the receiver's entities that reference property, or `nil` if nothing references it.

### removeEntity:

- (void) removeEntity: (EOEntity*)entity;
Removes the entity without performing any referential integrity checking.

### removeEntityAndReferences:

- (void) removeEntityAndReferences: (EOEntity*)entity;
Description forthcoming.

### removeStoredProcedure:

- (void) removeStoredProcedure: (EOStoredProcedure*)storedProcedure;
Description forthcoming.

### setAdaptorName:

- (void) setAdaptorName: (NSString*)adaptorName;
Description forthcoming.

### setConnectionDictionary:

- (void) setConnectionDictionary: (NSDictionary*)connectionDictionary;
Description forthcoming.

### setModelGroup:

- (void) setModelGroup: (EOModelGroup*)group;
Description forthcoming.

### setName:

- (void) setName: (NSString*)name;
Description forthcoming.

### setUserInfo:

- (void) setUserInfo: (NSDictionary*)userInfo;
Description forthcoming.

# Software documentation for the EOModel(EOModelFileAccess) category

## EOModel(EOModelFileAccess)

> Declared in:
>   EOAccess/EOModel.h

Description forthcoming.

### Method summary

- +modelWithContentsOfFile:
- -initWithContentsOfFile:
- -writeToFile:

### modelWithContentsOfFile:

+ (EOModel*) modelWithContentsOfFile: (NSString*)path;
Description forthcoming.

### initWithContentsOfFile:

- (id) initWithContentsOfFile: (NSString*)path;
Description forthcoming.

### writeToFile:

- (void) writeToFile: (NSString*)path;

Writes the receivers plist representation into an .eomodeld file wrapper located at path.

Depending on the the path extension .eomodeld or.eomodel the corresponding format will be used. If the path has neither .eomodeld nor.eomodel path extension,.eomodeld will be used.

If the file located at path already exists, a back is created by appending a '~' character to file name. If a backup file already exists, when trying to create a backup, the old backup will be deleted.

If any of the file operations fail, an NSInvalidArgumentException will be raised.

This method as the side effeect of setting the receivers path and name. The this change can happen even if the write operation fails with an exception.

# Software documentation for the EOModel(EOModelHidden) category

## EOModel(EOModelHidden)

> Declared in:
>   EOAccess/EOModel.h

Description forthcoming.

### Method summary

- -_addEntity:
- -_addEntityWithPropertyList:
- -_addFakeEntityWithPropertyList:
- -_childrenForEntityNamed:
- -_classDescriptionNeeded:
- -_entityForClass:
- -_instantiatedEntities
- -_loadFetchSpecificationDictionaryForEntityNamed:
- -_registerChild:forParent:
- -_removeEntity:
- -_removePropertiesReferencingEntity:
- -_removePropertiesReferencingProperty:
- -_resetPrototypeCache
- -_setEntity:forEntityName:className:
- -_setInheritanceLinks:
- -_setPath:
- -isPrototypesEntity:

### _addEntity:

- (id) _addEntity: (EOEntity*)entity;
Warning the underscore at the start of the name of this method indicates that it is private, for internal use only, and you should not use the method in your code.

### _addEntityWithPropertyList:

- (EOEntity*) _addEntityWithPropertyList: (NSDictionary*)propertyList;
Warning the underscore at the start of the name of this method indicates that it is private, for internal use only, and you should not use the method in your code.

### _addFakeEntityWithPropertyList:

- (void) _addFakeEntityWithPropertyList: (NSDictionary*)propertyList;
Warning the underscore at the start of the name of this method indicates that it is private, for internal use only, and you should not use the method in your code.

### _childrenForEntityNamed:

- (id) _childrenForEntityNamed: (id)param0;
Warning the underscore at the start of the name of this method indicates that it is private, for internal use only, and you should not use the method in your code.

### _classDescriptionNeeded:

- (void) _classDescriptionNeeded: (NSNotification*)notification;
Warning the underscore at the start of the name of this method indicates that it is private, for internal use only, and you should not use the method in your code.

### _entityForClass:

- (EOEntity*) _entityForClass: (Class)aClass;
Warning the underscore at the start of the name of this method indicates that it is private, for internal use only, and you should not use the method in your code.

### _instantiatedEntities

- (id) _instantiatedEntities;
Warning the underscore at the start of the name of this method indicates that it is private, for internal use only, and you should not use the method in your code.

### _loadFetchSpecificationDictionaryForEntityNamed:

- (NSMutableDictionary*) _loadFetchSpecificationDictionaryForEntityNamed: (NSString*)entName;
Warning the underscore at the start of the name of this method indicates that it is private, for internal use only, and you should not use the method in your code.

### _registerChild: forParent:

- (void) _registerChild: (id)param0 forParent: (id)param1;
Warning the underscore at the start of the name of this method indicates that it is private, for internal use only, and you should not use the method in your code.

### _removeEntity:

- (void) _removeEntity: (EOEntity*)entity;
Warning the underscore at the start of the name of this method indicates that it is private, for internal use only, and you should not use the method in your code.

### _removePropertiesReferencingEntity:

- (void) _removePropertiesReferencingEntity: (EOEntity*)entity;
Warning the underscore at the start of the name of this method indicates that it is private, for internal use only, and you should not use the method in your code.
Before removing entities we need to remove all references

### _removePropertiesReferencingProperty:

- (void) _removePropertiesReferencingProperty: (id)property;
Before removing attributes we need to remove all references
Warning the underscore at the start of the name of this method indicates that it is private, for internal use only, and you should not use the method in your code.
Before removing attributes we need to remove all references

### _resetPrototypeCache

- (void) _resetPrototypeCache;
Warning the underscore at the start of the name of this method indicates that it is private, for internal use only, and you should not use the method in your code.

### _setEntity: forEntityName: className:

- (void) _setEntity: (id)entity forEntityName: (NSString*)entityName className: (NSString*)className;
Warning the underscore at the start of the name of this method indicates that it is private, for internal use only, and you should not use the method in your code.

### _setInheritanceLinks:

- (void) _setInheritanceLinks: (id)param0;
Warning the underscore at the start of the name of this method indicates that it is private, for internal use only, and you should not use the method in your code.

### _setPath:

- (void) _setPath: (NSString*)path;
Warning the underscore at the start of the name of this method indicates that it is private, for internal use only, and you should not use the method in your code.

### isPrototypesEntity:

- (BOOL) isPrototypesEntity: (id)param0;
Description forthcoming.

# Software documentation for the EOModel(EOModelPropertyList) category

## EOModel(EOModelPropertyList)

> Declared in:
>   EOAccess/EOModel.h

> Conforms to:
>   EOPropertyListEncoding

Description forthcoming.

### Method summary

- -awakeWithPropertyList:
- -encodeIntoPropertyList:
- -encodeTableOfContentsIntoPropertyList:
- -initWithPropertyList:owner:
- -initWithTableOfContentsPropertyList:path:

### awakeWithPropertyList:

- (void) awakeWithPropertyList: (NSDictionary*)propertyList;
Description forthcoming.

### encodeIntoPropertyList:

- (void) encodeIntoPropertyList: (NSMutableDictionary*)propertyList;
Description forthcoming.

### encodeTableOfContentsIntoPropertyList:

- (void) encodeTableOfContentsIntoPropertyList: (NSMutableDictionary*)propertyList;
Description forthcoming.

### initWithPropertyList: owner:

- (id) initWithPropertyList: (NSDictionary*)propertyList owner: (id)owner;
Description forthcoming.

### initWithTableOfContentsPropertyList: path:

- (id) initWithTableOfContentsPropertyList: (NSDictionary*)tableOfContents path: (NSString*)path;
Description forthcoming.

# EOModel variables

### EOEntityLoadedNotification

NSString* EOEntityLoadedNotification;
Description forthcoming.

Up